MockApplicationContext.MockResource (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Java] Class MockApplicationContext.MockResource

    java.lang.Object
      org.springframework.core.io.AbstractResource
          org.codehaus.groovy.grails.support.MockApplicationContext.MockResource

    public class MockApplicationContext.MockResource
    extends org.springframework.core.io.AbstractResource

Constructor Summary
`MockApplicationContext.MockResource(java.lang.String location)`
`MockApplicationContext.MockResource(java.lang.String location, java.lang.String contents)`

Method Summary
`boolean` | `exists()`
`java.lang.String` | `getDescription()`
`java.io.InputStream` | `getInputStream()`

Methods inherited from class org.springframework.core.io.AbstractResource
org.springframework.core.io.AbstractResource#isOpen(), org.springframework.core.io.AbstractResource#getFile(), org.springframework.core.io.AbstractResource#getURI(), org.springframework.core.io.AbstractResource#lastModified(), org.springframework.core.io.AbstractResource#contentLength(), org.springframework.core.io.AbstractResource#equals(java.lang.Object), org.springframework.core.io.AbstractResource#toString(), org.springframework.core.io.AbstractResource#hashCode(), org.springframework.core.io.AbstractResource#exists(), org.springframework.core.io.AbstractResource#isReadable(), org.springframework.core.io.AbstractResource#getURL(), org.springframework.core.io.AbstractResource#getFilename(), org.springframework.core.io.AbstractResource#createRelative(java.lang.String), org.springframework.core.io.AbstractResource#wait(long, int), org.springframework.core.io.AbstractResource#wait(long), org.springframework.core.io.AbstractResource#wait(), org.springframework.core.io.AbstractResource#getClass(), org.springframework.core.io.AbstractResource#notify(), org.springframework.core.io.AbstractResource#notifyAll(), org.springframework.core.io.AbstractResource#getDescription(), org.springframework.core.io.AbstractResource#getInputStream()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MockApplicationContext.MockResource

    public MockApplicationContext.MockResource(java.lang.String location)

### MockApplicationContext.MockResource

    public MockApplicationContext.MockResource(java.lang.String location, java.lang.String contents)

Method Detail

### exists

    @java.lang.Override}
    public boolean exists()

### getDescription

    public java.lang.String getDescription()

### getInputStream

    public java.io.InputStream getInputStream()

Groovy Documentation